## org.apache.ivy.core
Class ExecutionRelativeUrlResolver

    java.lang.Object
      org.apache.ivy.core.RelativeUrlResolver
          org.apache.ivy.core.ExecutionRelativeUrlResolver

    public class ExecutionRelativeUrlResolver

extends RelativeUrlResolver

Resolve relative url relatively to the current execution directory instead of relatively to the context. This is was actually done prior 2.0. This class allow thus to work in a backward compatible mode.

Constructor Summary
`ExecutionRelativeUrlResolver()`

Method Summary
`java.net.URL` `getURL(java.net.URL context, java.lang.String url)` Resolve the url in the context of context.

Methods inherited from class org.apache.ivy.core.RelativeUrlResolver
`getURL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutionRelativeUrlResolver

    public ExecutionRelativeUrlResolver()

Method Detail

### getURL

    public java.net.URL getURL(java.net.URL context,
                               java.lang.String url)
                        throws java.net.MalformedURLException

  Description copied from class: `RelativeUrlResolver`
  Resolve the url in the context of context.

  Specified by:
    `getURL` in class `RelativeUrlResolver`
  Parameters:
    `context` - The URL of the ressource containing the reference url
    `url` - a relative or absolution url string
  Throws:
    `java.net.MalformedURLException`